Consoles API
POST /api/v1/apps/{app_id}/console/tickets
Section titled “POST /api/v1/apps/{app_id}/console/tickets”App Console Ticket
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/hosts/{host_id}/shell/tickets
Section titled “POST /api/v1/hosts/{host_id}/shell/tickets”Node Shell Ticket
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/vms/{vm_id}/console/tickets
Section titled “POST /api/v1/vms/{vm_id}/console/tickets”Vm Console Ticket
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |